# Search all documents

* Search all your company's documents list.
* Enter only token values issued to HEADERS using GET-based APIs.

## Search all documents

<mark style="color:blue;">`GET`</mark> `https://docs.esignon.net/worklists/new?page={value}&rows={value}`

You can check the status, type, level, etc. of the progress document.

#### Path Parameters

| Name | Type   | Description                                       |
| ---- | ------ | ------------------------------------------------- |
| rows | string | How many to search per page / Default 50          |
| page | string | The list on which page to be searched / Default 1 |

#### Headers

| Name          | Type   | Description           |
| ------------- | ------ | --------------------- |
| Authorization | string | esignon {accesstoken} |

{% tabs %}
{% tab title="200 " %}

```javascript
{
	"header":{
		"response_code": "/worklists/new",
		"result_code": "00",
		"result_msg": "",
		"session_id": ""
	},
	"body":{
		"comp_id": "{Company ID}",
		"isManager": true,
		"memb_email": "{Logged-in email}",
		"page": "{Number of the page to be displayed}",
		"rows": "{Number of lists to be shown per page}",
		"total": "{Total Documents}",
		"workflow_list":[{
			"wfuid": "{Documents ID}",
			"wfname": "{Documents Title}",
			"wftype": "{Documents Type}",
			"status": "{Documents Status}",
			"step": "{Documents Step}",
			"nickname": "{Document starter's name}",
			"currentactionid": "{Process step number of document}",
			"email": "{Document starter's email}",
			"startdate": "{Document Start Time}",
			"totalprocesscount": "{Total number of steps in the document}",
			"currentprocesscount": "{Completion Process Step Number}",
			"confirmdate": "{Document finished time}",
			"preactionid": {},
			"preactionemail":"{Referer Email}"
			}]
	}
}

```

{% endtab %}
{% endtabs %}

### Parameter Info

| **Name**              | **Value** | **Description**        |
| --------------------- | --------- | ---------------------- |
| Workflow\_list.status | Playing   | Playing                |
|                       | Canceled  | Canceled               |
|                       | Complete  | Complete               |
|                       | Truncate  | Truncate               |
| Workflow\_list.wftype | NORMAL    | Email sending document |
|                       | BULKWEB   | Bulk sending document  |
| Workflow\_list.step   | Myturn    | Myturn                 |
|                       | Progress  | in Progress            |
|                       | Complete  | Complete               |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.esignon.net/eng-1/workflow/view/readallworkflow.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
